%define name scapy
%define version 2.2.0
%define release %mkrel 2

Summary:	An interactive packet manipulation tool and network scanner
Name:		%name
Version:	%version
Release:	%release
Group:		Networking/Other
License:	GPL
URL:		http://www.secdev.org/projects/scapy
Source:		http://www.secdev.org/projects/scapy/files/%name-%version.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel
Requires:	nmap
Requires:	python >= 2.2

%description
Scapy is a powerful interactive packet manipulation tool, packet generator,
network scanner, network discovery, packet sniffer, etc. It can for the
moment replace hping, 85% of nmap, arpspoof, arp-sk, arping, tcpdump,
tethereal, p0f, ....

Scapy uses the python interpreter as a command board. That means that you
can use directly python language (assign variables, use loops, define
functions, etc.) If you give a file as parameter when you run scapy, your
session (variables, functions, intances, ...) will be saved when you leave
the interpretor, and restored the next time you launch scapy.

%prep
%setup -q -n scapy-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 doc/scapy.1.gz %{buildroot}%{_mandir}/man1/scapy.1.gz
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__rm} -f %{buildroot}%{python_sitelib}/*egg-info/requires.txt

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc %{_mandir}/man1/scapy.1* 
%{_bindir}/scapy
%{_bindir}/UTscapy
%{py_puresitedir}/scapy
%{py_puresitedir}/scapy-*.egg-info




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 381790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 21 2011 guillomovitch <guillomovitch> 2.2.0-1.mga2
+ Revision: 127684
- new version

  + saispo <saispo>
    - imported package scapy

